﻿<?xml version="1.0" encoding="utf-8"?>
<root>
  <!-- 
    Microsoft ResX Schema 
    
    Version 2.0
    
    The primary goals of this format is to allow a simple XML format 
    that is mostly human readable. The generation and parsing of the 
    various data types are done through the TypeConverter classes 
    associated with the data types.
    
    Example:
    
    ... ado.net/XML headers & schema ...
    <resheader name="resmimetype">text/microsoft-resx</resheader>
    <resheader name="version">2.0</resheader>
    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
        <value>[base64 mime encoded serialized .NET Framework object]</value>
    </data>
    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
        <comment>This is a comment</comment>
    </data>
                
    There are any number of "resheader" rows that contain simple 
    name/value pairs.
    
    Each data row contains a name, and value. The row also contains a 
    type or mimetype. Type corresponds to a .NET class that support 
    text/value conversion through the TypeConverter architecture. 
    Classes that don't support this are serialized and stored with the 
    mimetype set.
    
    The mimetype is used for serialized objects, and tells the 
    ResXResourceReader how to depersist the object. This is currently not 
    extensible. For a given mimetype the value must be set accordingly:
    
    Note - application/x-microsoft.net.object.binary.base64 is the format 
    that the ResXResourceWriter will generate, however the reader can 
    read any of the formats listed below.
    
    mimetype: application/x-microsoft.net.object.binary.base64
    value   : The object must be serialized with 
            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
            : and then encoded with base64 encoding.
    
    mimetype: application/x-microsoft.net.object.soap.base64
    value   : The object must be serialized with 
            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
            : and then encoded with base64 encoding.

    mimetype: application/x-microsoft.net.object.bytearray.base64
    value   : The object must be serialized into a byte array 
            : using a System.ComponentModel.TypeConverter
            : and then encoded with base64 encoding.
    -->
  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
    <xsd:element name="root" msdata:IsDataSet="true">
      <xsd:complexType>
        <xsd:choice maxOccurs="unbounded">
          <xsd:element name="metadata">
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="value" type="xsd:string" minOccurs="0" />
              </xsd:sequence>
              <xsd:attribute name="name" use="required" type="xsd:string" />
              <xsd:attribute name="type" type="xsd:string" />
              <xsd:attribute name="mimetype" type="xsd:string" />
              <xsd:attribute ref="xml:space" />
            </xsd:complexType>
          </xsd:element>
          <xsd:element name="assembly">
            <xsd:complexType>
              <xsd:attribute name="alias" type="xsd:string" />
              <xsd:attribute name="name" type="xsd:string" />
            </xsd:complexType>
          </xsd:element>
          <xsd:element name="data">
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
              </xsd:sequence>
              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
              <xsd:attribute ref="xml:space" />
            </xsd:complexType>
          </xsd:element>
          <xsd:element name="resheader">
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
              </xsd:sequence>
              <xsd:attribute name="name" type="xsd:string" use="required" />
            </xsd:complexType>
          </xsd:element>
        </xsd:choice>
      </xsd:complexType>
    </xsd:element>
  </xsd:schema>
  <resheader name="resmimetype">
    <value>text/microsoft-resx</value>
  </resheader>
  <resheader name="version">
    <value>2.0</value>
  </resheader>
  <resheader name="reader">
    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
  </resheader>
  <resheader name="writer">
    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
  </resheader>
  <data name="AllContractsFilteredMessage" xml:space="preserve">
    <value>All available contracts have been filtered</value>
  </data>
  <data name="AndSeparator" xml:space="preserve">
    <value> and </value>
  </data>
  <data name="CanNotCreateWindow" xml:space="preserve">
    <value>Can not create tool window.</value>
  </data>
  <data name="CommaSeparator" xml:space="preserve">
    <value>, </value>
  </data>
  <data name="ContractClassElementMessage" xml:space="preserve">
    <value>Contracts for this method are added to</value>
  </data>
  <data name="ContractClassMethodForMessage" xml:space="preserve">
    <value>This is the contract class method for</value>
  </data>
  <data name="CurrentElementInterfaceMessage" xml:space="preserve">
    <value>This method implements </value>
  </data>
  <data name="CurrentElementMessage" xml:space="preserve">
    <value>Viewing contracts for </value>
  </data>
  <data name="CurrentElementOverrideMessage" xml:space="preserve">
    <value>This method overrides </value>
  </data>
  <data name="CurrentProjectMessage" xml:space="preserve">
    <value>Browsing contracts for </value>
  </data>
  <data name="FilterBinaryAndTernaryMessageStart" xml:space="preserve">
    <value>Filter out &lt;b&gt;binary/ternary&lt;/b&gt; invariants with variables </value>
  </data>
  <data name="FilterBinaryOrTernaryMessageStart" xml:space="preserve">
    <value>Filter out &lt;b&gt;{0}&lt;/b&gt; invariants with variables </value>
  </data>
  <data name="FilterOptionsHeader" xml:space="preserve">
    <value>&lt;b&gt;Filter Options:&lt;/b&gt;</value>
  </data>
  <data name="FilterTab" xml:space="preserve">
    <value>Filters : {0}</value>
  </data>
  <data name="FilterTypeOfMessage" xml:space="preserve">
    <value>Filter out invariants containing &lt;b&gt;typeof()&lt;/b&gt; or &lt;b&gt;GetType()&lt;/b&gt;</value>
  </data>
  <data name="FilterUnaryOrAllMessageStart" xml:space="preserve">
    <value>Filter out &lt;b&gt;{0}&lt;/b&gt; invariants with variable </value>
  </data>
  <data name="GenerateStatusBuilding" xml:space="preserve">
    <value>Building solution...</value>
  </data>
  <data name="GenerateStatusCeleriac" xml:space="preserve">
    <value>Instrumenting program...</value>
  </data>
  <data name="GenerateStatusDaikonCalculate" xml:space="preserve">
    <value>Calculating program invariants...</value>
  </data>
  <data name="GenerateStatusDaikonPrint" xml:space="preserve">
    <value>Formatting invariants...</value>
  </data>
  <data name="GenerateStatusFinished" xml:space="preserve">
    <value>Code Contract generation finished.</value>
  </data>
  <data name="GenerateStatusNothingGenerated" xml:space="preserve">
    <value>No contracts have been generated....</value>
  </data>
  <data name="GenerateStatusParsing" xml:space="preserve">
    <value>Parsing source code...</value>
  </data>
  <data name="GenerateStatusParsingContracts" xml:space="preserve">
    <value>Linking invariants to source code...</value>
  </data>
  <data name="GenerateStatusSeal" xml:space="preserve">
    <value>Running purity analysis...</value>
  </data>
  <data name="GeneratingContracts" xml:space="preserve">
    <value>Generating Code Contracts. This may take several minutes...</value>
  </data>
  <data name="GroupByAntecedentThenSemantic" xml:space="preserve">
    <value>Antecedent, Semantic</value>
  </data>
  <data name="GroupByAntecedentThenVariable" xml:space="preserve">
    <value>Antecedent, Variable</value>
  </data>
  <data name="GroupByMessage" xml:space="preserve">
    <value>Group contracts by:</value>
  </data>
  <data name="GroupBySemantic" xml:space="preserve">
    <value>Semantics</value>
  </data>
  <data name="GroupByVariable" xml:space="preserve">
    <value>Variable</value>
  </data>
  <data name="LoadContracts" xml:space="preserve">
    <value>Load Contracts</value>
  </data>
  <data name="LoadContractsDialogFilter" xml:space="preserve">
    <value>Contract Files|*.contracts|Trace Files|*.dtrace</value>
  </data>
  <data name="LoadContractsDialogTitle" xml:space="preserve">
    <value>Select Trace Files or Contracts File</value>
  </data>
  <data name="NoContractsAvailableMessage" xml:space="preserve">
    <value>No contracts available</value>
  </data>
  <data name="NoContractsForMethodMessage" xml:space="preserve">
    <value>No preconditions or postconditions generated for </value>
  </data>
  <data name="NoContractsForObjectMessage" xml:space="preserve">
    <value>No object invariants generated for</value>
  </data>
  <data name="NoContractsGeneratedMessage" xml:space="preserve">
    <value>No Code Contracts have been generated.

To generate contracts, right click on a project in the solution explorer and select 'Generate Code Contracts'. Alternatively, you may load contracts from a data trace or contracts file by selecting 'Load Code Contracts'.</value>
  </data>
  <data name="NoCurrentClass" xml:space="preserve">
    <value>No class or function selected.</value>
  </data>
  <data name="NoCurrentElement" xml:space="preserve">
    <value>Select inside a method or class to view available Code Contracts.</value>
  </data>
  <data name="NoCurrentMethod" xml:space="preserve">
    <value>No method selected.</value>
  </data>
  <data name="ObjectInvariantsTab" xml:space="preserve">
    <value>Object Invariants : {0}</value>
  </data>
  <data name="PostconditionTab" xml:space="preserve">
    <value>Postconditions : {0}</value>
  </data>
  <data name="PreconditionTab" xml:space="preserve">
    <value>Preconditions : {0}</value>
  </data>
  <data name="RemoveFilterMessage" xml:space="preserve">
    <value>Remove</value>
  </data>
  <data name="ToolWindowTitle" xml:space="preserve">
    <value>Scout</value>
  </data>
  <data name="WarningCreateContractClass" xml:space="preserve">
    <value>Note: adding a contract to this method will create a contract class.
This will create a new class in your source code.
</value>
  </data>
</root>